# Constant Field Values

## Contents

- classycle.*
- classycle.ant.*
- classycle.dependency.*

## classycle.*

classycle.ClassAttributes
Modifier and Type
Constant Field
Value
`public static final String`
`ABSTRACT_CLASS`
`"abstract class"`
`public static final String`
`CLASS`
`"class"`
`public static final String`
`INTERFACE`
`"interface"`
`public static final String`
`UNKNOWN`
`"unknown external class"`
classycle.Parser
Modifier and Type
Constant Field
Value
`public static final String`
`ARCHIVE_PATH_DELIMITER`
`"::"`

## classycle.ant.*

classycle.ant.ReportTask
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_CSV`
`"csv"`
`public static final String`
`TYPE_RAW`
`"raw"`
`public static final String`
`TYPE_XML`
`"xml"`

## classycle.dependency.*

classycle.dependency.DependencyDefinitionParser
Modifier and Type
Constant Field
Value
`public static final String`
`CHECK_KEY_WORD`
`"check"`
`public static final String`
`CLASS_CYCLES_KEY_WORD`
`"absenceOfClassCycles"`
`public static final String`
`DEPENDENT_ONLY_ON_KEY_WORD`
`"dependentOnlyOn"`
`public static final String`
`DIRECTLY_INDEPENDENT_OF_KEY_WORD`
`"directlyIndependentOf"`
`public static final String`
`EXCLUDING_KEY_WORD`
`"excluding"`
`public static final String`
`IN_KEY_WORD`
`"in"`
`public static final String`
`INDEPENDENT_OF_KEY_WORD`
`"independentOf"`
`public static final String`
`LAYER_KEY_WORD`
`"layer"`
`public static final String`
`LAYERING_OF_KEY_WORD`
`"layeringOf"`
`public static final String`
`PACKAGE_CYCLES_KEY_WORD`
`"absenceOfPackageCycles"`
`public static final String`
`SETS_KEY_WORD`
`"sets"`
`public static final String`
`SHOW_KEY_WORD`
`"show"`
`public static final String`
`STRICT_LAYERING_OF_KEY_WORD`
`"strictLayeringOf"`